<template>
  <div>
    <legend>Información curricular</legend>
    <div class="row">
        <div class="col-md-12">
          <div class="form-group">
            <p-radio name="conest" v-model="model.estudios_sn" :inline=true label="1">Con Estudios</p-radio>
            <p-radio name="conest" v-model="model.estudios_sn" :inline=true label="2">Sin Estudios</p-radio>
          </div>
        </div>
    </div>
    <div v-if="model.estudios_sn == 1">
      <div class="row">
          <div class="col-md-4">
              <div class="form-group">
                  <label class="control-label">
                    Grado máximo de escolaridad:
                  </label>
                      <el-select  clearable class="select-default"
                              filterable
                              name="grado_maximo"
                              placeholder="Escolaridad"
                              v-validate="modelValidations.grado_maximo"
                              v-model="model.grado_maximo_escolaridad_id">
                      <el-option v-for="option in gradoesc"
                                  class="select-default"
                                  filterable
                                  :value="option.id"
                                  :label="option.grado_escolaridad"
                                  :key="option.grado_escolaridad">
                      </el-option>
                  </el-select>
                  <small class="text-danger" v-show="grado_maximo.invalid">
                  {{ getError('grado_maximo') }}
                </small>
              </div>
          </div>
          <div class="form-group col-md-8" v-if="muestraCampos">
              <label class="control-label">
                  Grado obtenido:
              </label>
              <input class="form-control"
                      type="text"
                      name="grado_obtenido"
                      v-validate="modelValidations.grado_obtenido"
                      v-model="model.grado_obtenido"
                      placeholder="Grado Obtenido"
              />
              <small class="text-danger" v-show="grado_obtenido.invalid">
                {{ getError('grado_obtenido') }}
              </small>
        </div>

      </div>
      <h5 class="text-left">Institución Educativa</h5>
      <div class="row">
          <div class="col-md-8">
              <div class="form-group">
              <label class="control-label">
                  Institución
              </label>
              <input class="form-control"
                      type="text"
                      name="institucion_educativa"
                      v-model="model.institucion_educativa"
                      placeholder="Nombre de la institución"
              />
              </div>
          </div>
          <div class="col-md-4">
              <div class="form-group">
                  <label class="control-label">
                  Ubicación
                  </label>
                  <p-radio name="lugar" v-validate="modelValidations.lugar" v-model="model.lugar_institucion_ext" label="1">México</p-radio>
                  <p-radio name="lugar" v-validate="modelValidations.lugar" v-model="model.lugar_institucion_ext" label="2">Extranjero</p-radio>

              <small class="text-danger" v-show="lugar.invalid">
                {{ getError('lugar') }}
              </small>
              </div>
          </div>
      </div>
      <div class="row">
        <div class="col-md-4">
          <div class="form-group">
            <label class="control-label">
                Entidad Federativa/Pais si es extranjero:
            </label>
              <el-select  clearable class="select-default"
                        placeholder="Entidad Federativa"
                        filterable
                        name="entidad"
                        v-validate="modelValidations.entidad"
                        v-model="model.lugar_institucion_educativa_entidad_id">
              <el-option v-for="option in entidades" class="select-default"
                  :value="option.id"
                  :label="option.nom_ent"
                  :key="option.nom_ent">
                </el-option>
              </el-select>
              <small class="text-danger" v-show="entidad.invalid">
                {{ getError('entidad') }}
              </small>
          </div>
        </div>
        <div class="col-md-8">
          <div class="form-group">
            <label class="control-label">
                Carrera o área de conocimiento:
            </label>
              <input class="form-control"
                      type="text"
                      name="carrera"
                      v-model="model.carrera"
                      placeholder="Carrera o área de conocimiento"
              />
          </div>
        </div>
        <div class="col-md-4 form-group">
            <label class="control-label">
                Periodos Cursados
            </label>
              <el-select  clearable class="select-default"
                        filterable
                        placeholder="Periodos"
                        name="periodos"
                        v-model="model.periodos_cursados_id">
              <el-option v-for="option in periodosC"
                          class="select-default"
                          :value="option.id"
                          :label="option.valor"
                          :key="option.codigo">
              </el-option>
            </el-select>
        </div>
        <div class="col-md-4 form-group">
            <label class="control-label">
                Estatus
            </label>
              <el-select  clearable class="select-default"
                        filterable
                        placeholder="Estatus"
                        name="estatus"
                        v-validate="modelValidations.estatus"
                        v-model="model.estatus_id">
              <el-option v-for="option in estatusC"
                          class="select-default"
                          :value="option.id"
                          :label="option.estatus"
                          :key="option.codigo">
              </el-option>
            </el-select>
            <small class="text-danger" v-show="entidad.invalid">
              {{ getError('estatus') }}
            </small>
      </div>
      <div class="col-md-4 form-group">
            <label class="control-label">
                Documento Obtenido:
            </label>
              <el-select  clearable class="select-default"
                        placeholder="Documento"
                        filterable
                        v-model="model.documento_obtenido_id">
              <el-option v-for="option in documentos"
                          class="select-default"
                          :value="option.id"
                          :label="option.documento"
                          :key="option.codigo">
              </el-option>
            </el-select>
        </div>
        <div class="col-md-4" v-if="muestraCampos">
          <div class="form-group">
            <label class="control-label">
                Año de conclusión:
            </label>
              <input class="form-control"
                      type="text"
                      name="ano_conclusion"
                      v-model="model.ano_conclusion"
                      placeholder="Año"
              />
          </div>
        </div>

        <div class="col-md-4">
          <div class="form-group">
            <label class="control-label">
                Cédula Profesional
            </label>
              <input class="form-control"
                      type="text"
                      name="cedula_profesional"
                      v-model="model.cedula_profesional"
                      placeholder="Cédula"
              />
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
 import {Tag, Select} from 'element-ui'

  import {mapFields} from 'vee-validate'

  import Domicilio from '../Domicilio.vue'

  export default {
    components: {
      [Tag.name]: Tag,
    },
    computed: {
      ...mapFields(['grado_obtenido','grado_maximo','lugar','entidad','estatus'])
    },
    data () {
      return {
        muestraCampos: false,
        ip_id: null,
        model: {
        },
        entidades: {},
        gradoesc:  {},
        documentos:{},
        estatusC:{},
        periodosC:{},
        modelValidations: {
          grado_obtenido:{
            required: true
          },
          grado_maximo:{
            required: true
          },
          lugar:{
            required: true
          },
          entidad:{
            required: true
          },
          estatus:{
            required: true
          }

        }
      }
    },
    created(){
        this.model.estudios_sn = '';
        this.model.lugar_institucion_ext ='';
        this.ip_id = this.getId();
        this.getDatosC();
        this.getEntidades();
        this.documentoObt();
        this.gradosEsc();
        this.getEstatusCarr();
        this.periodosCursados();
    },
    methods: {
      getError (fieldName) {
        return this.errors.first(fieldName)
      },
      validate () {
        return this.$validator.validateAll()
      },
      getDatosC(){
        var v = this;
        this.$http.get('datosCurric/'+this.ip_id).then(
            response => {
                if(response.data.datosCurr.length > 0){
                  this.model = response.data.datosCurr['0'];
                  this.model.lugar_institucion_ext = String(this.model.lugar_institucion_ext) || ''
                  this.model.estudios_sn = String(this.model.estudios_sn)  || ''
                }
            },
            error =>{
                this.StepError(error);
                console.log(error);
            }
        )
      },
      getEntidades(){
        this.$http.get('entidadFed').then(
            response => {
                this.entidades = response.data.entidadfed;
            },
            error =>{
                this.StepError(error);
                console.log(error);
            }
        )
      },
      documentoObt(){
        this.$http.get('doctoObt').then(
            response => {
                this.documentos = response.data.documentoOb;
            },
            error =>{
                this.StepError(error);
                console.log(error);
            }
        )
      },
      gradosEsc(){
        this.$http.get('gradoesc').then(
            response => {
                this.gradoesc = response.data.grado;
            },
            error =>{
                this.StepError(error);
                console.log(error);
            }
        )
      },
      periodosCursados(){
        this.$http.get('periodosC').then(
            response => {
                this.periodosC = response.data.periodos;
            },
            error =>{
                this.StepError(error);
                console.log(error);
            }
        )
      },
      getEstatusCarr(){
        this.$http.get('estatuscarr').then(
            response => {
                this.estatusC = response.data.estatusC;
            },
            error =>{
                this.StepError(error);
                console.log(error);
            }
        )
      }
    }
  }
</script>
<style>

</style>
